ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

any method provided to change the drawing order like the Hatch Dialog

2 REPLIES 2
SOLVED
Reply
Message 1 of 3
421232206
431 Views, 2 Replies

any method provided to change the drawing order like the Hatch Dialog

hatch_dialog.jpg

Technology change world! Coding change technology! We coders are coding!
2 REPLIES 2
Message 2 of 3
owenwengerd
in reply to: 421232206

Look at the AcDbSortentsTable class in the documentation.

--
Owen Wengerd
ManuSoft
Message 3 of 3
421232206
in reply to: owenwengerd

thanks a lot, and the code below works well.

 

        AcDbObjectIdArray idArr;
        if (!CSelectionGet::SSGetFromDWG(idArr,_T(""),NULL,true))
        {
            return;
        }
        AcDbBlockTableRecord *pBtr = NULL;
        if (Acad::eOk != acdbOpenObject(pBtr, Acad_System::GetBlockId(ACDB_MODEL_SPACE), AcDb::kForRead))
        {
            return;
        }
        AcDbSortentsTable *drawOrder = NULL;
        pBtr->getSortentsTable(drawOrder, AcDb::kForWrite, Adesk::kTrue);    
        pBtr->close();
        if (drawOrder)
        {
            drawOrder->moveToTop(idArr);
            drawOrder->close();
        }

Technology change world! Coding change technology! We coders are coding!

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost